Skip to main content

Get Default Payment Provider

This endpoint retrieves the default provider for bank transfers for a merchant.

Endpoint​

GET /Merchants/GetDefaultProviderByMerchantId/{{merchantId}}

Path Parameters​

ParameterTypeDescription
merchantIdintegerThe unique identifier of the merchant.

Response​

Successful Response​

{
"responseCode": "00",
"responseMessage": "Merchant default provider information fetched successfully",
"data": {
"transferProcessor": {
"bank": "Providus Bank",
"code": "045"
}
}
}

Response Fields​

FieldTypeDescription
responseCodestringStatus code of the request. "00" indicates success.
responseMessagestringDescription of the response status.
data.transferProcessor.bankstringThe bank used for bank transfers.
data.transferProcessor.codestringThe unique bank code.

Usage​

To obtain the bankCode for bank transfer payments, call this endpoint and extract the transferProcessor.code from the response data.